# frozen_string_literal: true

module Swamp::Action
  module Routes
    def router
      @router ||= Rails.application.routes
    end

    def path(name, options = Hash[])
      router.send(:"#{name}_path", router_default_url_options.merge(options))
    end

    def url(name, options = Hash[])
      router.send(:"#{name}_url", router_default_url_options.merge(options))
    end

    def router_default_url_options
      Hash[].tap do |opts|
        opts[:host] = @request.host if @request
      end
    end
  end
end
